std::__profile::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > Class Template Reference

Inherits unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >, and std::__profile::_Unordered_profile< _UnorderedCont, _Unique_keys >.

## Public Types

typedef _Base::allocator_type | allocator_type
typedef _Base::const_iterator | const_iterator
typedef _Base::const_reference | const_reference
typedef _Base::difference_type | difference_type
typedef _Base::hasher | hasher
typedef _Base::iterator | iterator
typedef _Base::key_equal | key_equal
typedef _Base::key_type | key_type
typedef _Base::mapped_type | mapped_type
typedef _Base::reference | reference
typedef _Base::size_type | size_type
typedef _Base::value_type | value_type

## Public Member Functions

| unordered_map (size_type __n, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
template<typename _InputIterator >
| unordered_map (_InputIterator __f, _InputIterator __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_map (const unordered_map &)=default
| unordered_map (const _Base &__x)
| unordered_map (unordered_map &&)=default
| unordered_map (const allocator_type &__a)
| unordered_map (const unordered_map &__umap, const allocator_type &__a)
| unordered_map (unordered_map &&__umap, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_map (size_type __n, const allocator_type &__a)
| unordered_map (size_type __n, const hasher &__hf, const allocator_type &__a)
template<typename _InputIterator >
| unordered_map (_InputIterator __first, _InputIterator __last, size_type __n, const allocator_type &__a)
template<typename _InputIterator >
| unordered_map (_InputIterator __first, _InputIterator __last, size_type __n, const hasher &__hf, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n, const hasher &__hf, const allocator_type &__a)
void | clear () noexcept
template<typename... _Args>
std::pair< iterator, bool > | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __it, _Args &&... __args)
void | insert (std::initializer_list< value_type > __l)
std::pair< iterator, bool > | insert (const value_type &__obj)
iterator | insert (const_iterator __iter, const value_type &__v)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
std::pair< iterator, bool > | insert (_Pair &&__obj)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
iterator | insert (const_iterator __iter, _Pair &&__v)
template<typename _InputIter >
void | insert (_InputIter __first, _InputIter __last)
unordered_map & | operator= (const unordered_map &)=default
unordered_map & | operator= (unordered_map &&)=default
unordered_map & | operator= (initializer_list< value_type > __l)
mapped_type & | operator[] (const _Key &__k)
mapped_type & | operator[] (_Key &&__k)
void | rehash (size_type __n)
void | swap (unordered_map &__x) noexcept(noexcept(__x._M_base().swap(__x)))

## Protected Member Functions

void | _M_profile_construct () noexcept
void | _M_profile_destruct () noexcept
void | _M_profile_resize (std::size_t __old_size)
void | _M_swap (_Unordered_profile &__other) noexcept

## Protected Attributes

__gnu_profile::__hashfunc_info * | _M_hashfunc_info
__gnu_profile::__container_size_info * | _M_size_info

## Detailed Description

### template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
class std::__profile::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >

Class std::unordered_map wrapper with performance instrumentation.

Definition at line 51 of file profile/unordered_map.

The documentation for this class was generated from the following file:

- profile/unordered_map